package com.xunhong.erp.turbo.api.biz.dto.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum CostTypeEnum {
	/**
	 * 费用类型：1_辅料类型；2_人工类型；3_产地类型；4_其他类型；5_物流类型；5_物流类型；6_花销类型；
	 */
	MATERIAL_TYPE(1, "辅料类型"),
	ARTIFICIAL_TYPE(2, "人工类型"),
	PRODUCTION_TYPE(3, "产地类型"),
	OTHER_TYPE(4, "其他类型"),
	LOGISTICS_TYPE(5, "物流类型"),
	EXPENSE_TYPE(6, "花销类型"),
	;

	@EnumValue
	private final int type;

	private final String message;
}
